
#!/usr/bin/env python3

import sys
sys.path.append(r'/Applications/brattoo/python/packages')

from PIL import Image, ImageOps

path = sys.argv[1]
tolerance = int(sys.argv[2])

im = Image.open(r"test.jpeg")
im = ImageOps.grayscale(im)

newsize = (8, 8)
im = im.resize(newsize)
pix = im.load()

#im.save("python.jpg")

sum = 0

for x in range(8):
    for y in range(8):
        sum += pix[x,y]
        #print (pix[x,y])
        
average = sum/64

binary_string = ""
#print (sum/64)

for x in range(8):
    #print (x)
    for y in range(8):
        #pix[x,y]

        if pix[x,y] >= average+tolerance:
            binary_string += "1"
        elif pix[x,y] <= average-tolerance:
            binary_string += "0"
        else:
            binary_string += "2"
            
print (binary_string)
